package com.stock.service;

import com.stock.model.Quote;
import com.stock.model.Stock;

import java.util.Date;


public class StockQuoteService {
	
    public Stock getStockQuote(String ticker) {
        // your logic to get Stock Quote for the give ticker.
        Quote[] quotes = new Quote[2];

        Quote q1 = new Quote();
        q1.setQuotePrice(10);
        q1.setDtQuote(new Date());

        Quote q2 = new Quote();
        q2.setQuotePrice(12);
        q2.setDtQuote(new Date());

        quotes[0] = q1;
        quotes[1] = q2;

        Stock stock = new Stock();
        stock.setTicker(ticker);
        stock.setQuotes(quotes);

        return stock;
    }
}
