import com.stock.schemas.services.stock.Quote;
import com.stock.schemas.services.stock.Stock;
import com.stock.schemas.services.stock.wsdl.StockQuotePortType;
import com.stock.schemas.services.stock.wsdl.StockQuoteServiceLocator;

/*
* simple java class to test our webservice
*/
public class StockQuoteTest {
	
	public static void main(String[] args){
		try{
		StockQuoteServiceLocator serviceLocator = new StockQuoteServiceLocator();
		StockQuotePortType service = serviceLocator.getStockQuoteService();
		Stock stock = service.getStockQuote("google");
		
		Quote[] quotes = stock.getQuotes();
		
		System.out.println("Stock Ticker = "+stock.getTicker());
		System.out.println("Stock Quotes Size = "+stock.getQuotes().length);
		Quote quote = null;
		for(int i=0;i<quotes.length;i++){
			quote = quotes[i];
			System.out.println("Quote Price = "+quote.getQuotePrice());
			System.out.println("Quote Date = "+quote.getDtQuote());
		}
		
		}catch(Exception e){
			e.printStackTrace();
		}
		
		
	}

}
